import { HttpClient } from "@angular/common/http";
import { ApiResponseModel, ApiVisa, Pagination, PagingResponseModel } from "../../shared";
import { GenericDocContainerModel } from "../../../../../../models/aggregates/generic_doc";
import { Observable } from "rxjs";
import { RecurringBaseGenDocTypeService } from "./recurring-base-generic-doc.service";
import { RecurringEventViewCriteriaDtoModel, RecurringGenericDocSearchCriteriaDtoModel } from "../../../data-transfer-objects";
export declare class RecurringSaleInvoiceService extends RecurringBaseGenDocTypeService {
    constructor(http: HttpClient);
    getEventViewByCriteria(dtoObject: RecurringEventViewCriteriaDtoModel, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    getEventView(visa: ApiVisa): Observable<ApiResponseModel<any>>;
    getRecurringBySnapshotCustomQuery(dtoObject: RecurringGenericDocSearchCriteriaDtoModel, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    deleteInvoice(guid: string, deleteType: string, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    getSalesInvoiceByLogin(pagination: Pagination, visa: ApiVisa): Observable<PagingResponseModel<GenericDocContainerModel>>;
    getLinesByCriteria(pagination: Pagination, visa: ApiVisa): Observable<PagingResponseModel<GenericDocContainerModel>>;
    getLinesByCriteriaPromise(pagination: Pagination, visa: ApiVisa): Promise<PagingResponseModel<GenericDocContainerModel>>;
    postWithAttachments(dtoObject: FormData, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    deleteAttachment(extensionGuid: string, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    getAttachmentsByCriteria(pagination: Pagination, visa: ApiVisa, criteria?: any): Observable<PagingResponseModel<any>>;
    printJasperPdf(guid: string, printServiceClassName: string, printableFormatGuid: string, apiVisa: ApiVisa, customParam?: string): Observable<Blob>;
}
